Get all Actions belonging to an account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/portal/actions

Get all related actions for the referenced account uuid (see header)

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[completed] string

    affects whether to include actions which have been completed. Valid options are "exclude", "include", "only". (default: "exclude")

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • title string
      • description string
      • type string
      • is_completed string
      • resource object
        Hide resource attributes Show resource attributes object
        • uuid string
        • created_at string
        • updated_at string
        • status string
        • completed_at string
        • invitation_text string
        • schema object
          Hide schema attributes Show schema attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • archived_at

            If the schema has been archived, the datetime of when it was archived.

          • is_archived

            Denotes if the schema has been archived.

          • name

            The name of the fact find schema.

          • introduction_html

            The name of the fact find schema. Must be unique.

          • sections_count

            The number of sections inside of a fact find schema.

          • public_url

            The public URL of the fact find schema.

        • latest_file object
          Hide latest_file attributes Show latest_file attributes object
          • uuid

            UUID of the file

          • created_at

            The timestamp of when the resource was created.

          • original_created_at

            Timestamp of when the file was originally created

          • updated_at

            The timestamp of when the resource was updated.

          • uploaded_at

            Timestamp of when the file was uploaded

          • status

            Current status of the uploading progress

          • filename

            The filename including extension

          • name

            The name of the file without extension

          • extension

            The extension of the file

          • type

            The MIME type of the file

          • size

            The size of the file in bytes

          • path

            The path of the file

          • last_modified

            Timestamp of when the file was last modified before uploading

          • progress

            The progress of the uploaded file as a percentage between 0 and 100

          • download_url

            The download URL of the file

          • folder_name

            The name of the folder the file is located in

          • documentable_type

            The documentable type such as account/plan/case/etc the file was uploaded to

          • documentable

            The documentable the file was uploaded to

          • navigator

            The documentable type and its UUID in order to navigator to the correct resource

        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use the primary email of the account instead). The email of the account.

          • photo_url

            The photo URL of the client

        • invitation_url string
        • fact_find_passes object
          Hide fact_find_passes attributes Show fact_find_passes attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • firm

            The name of the firm the fact find pass is for.

          • circle

            The circle the fact find is for.

          • expires_at

            The expiry date of the fact find pass. When blank, the fact find pass will not expire.

          • progress

            The progress of the fact find pass on the fact find.

          • is_complete

            Determines if the fact find pass has completed the fact find.

          • completed_sections

            The number of sections the fact find pass has completed on the fact find.

      • created_at string
GET /api/v2/portal/actions
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/portal/actions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "4ec439aa-3333-4b6e-919a-7792e8c4c566",
      "title": "Signature Request",
      "description": "Invited to complete the action item",
      "type": "fact_find_request",
      "is_completed": "true",
      "resource": {
        "uuid": "9e35988a-1978-418f-89c6-4de0b4616ef9",
        "created_at": "2026-07-17T15:25:31+01:00",
        "updated_at": "2026-07-17T15:25:31+01:00",
        "status": "complete",
        "completed_at": "2026-07-12T15:25:31+01:00",
        "invitation_text": "Please complete this fact find!",
        "schema": {
          "uuid": "20dfb868-78dd-4dbe-9aaf-4ead85c0f525",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "archived_at": "2026-07-16T15:25:36+01:00",
          "is_archived": false,
          "name": "Default fact find",
          "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
          "sections_count": 5,
          "public_url": "https://api.plannrcrm.com/fact-find/f06616bc-ffc0-4018-9575-9cd0d466c560"
        },
        "latest_file": {
          "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
          "created_at": "2026-07-17T15:25:36+01:00",
          "original_created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "uploaded_at": "2026-07-17T15:25:36+01:00",
          "status": "uploaded",
          "filename": "Welcome to Plannr.pdf",
          "name": "Welcome to Plannr",
          "extension": "pdf",
          "type": "type",
          "size": "21691783",
          "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
          "last_modified": "2026-07-17T15:25:36+01:00",
          "progress": "100",
          "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
          "folder_name": "folder 2",
          "documentable_type": "account",
          "documentable": "Object",
          "navigator": {
            "model_type": "account",
            "model_uuid": null
          }
        },
        "account": {
          "uuid": "a93927b0-3b21-4af1-9f4f-15489a25a202",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
        },
        "invitation_url": "https://api.plannrcrm.com/fact-find/fa5690f7-116b-49d6-9a6c-abea2ab1523b/6e9ad996-a7c9-4582-b02e-1ce6effbf54f",
        "fact_find_passes": {
          "uuid": "97377357-a7f1-4b50-9848-2a5a258a997b",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "firm": {
            "uuid": null,
            "name": "Codepotato Ltd"
          },
          "circle": {
            "uuid": null,
            "name": "The Codepotato Gang"
          },
          "expires_at": "2026-07-17T15:25:36+01:00",
          "progress": 50,
          "is_complete": false,
          "completed_sections": 2
        }
      },
      "created_at": "2026-07-17T15:25:31+01:00"
    }
  ]
}